## seriousproton 2019.05.21+dfsg

=== debian/changelog ===
seriousproton (2019.05.21+dfsg-1) unstable; urgency=medium

  * Initial packaging (Closes: #854916)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Mon, 12 Aug 2019 13:22:29 +0200
