=== debian/control ===
Source: seriousproton
Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12), cmake, pkgconf,
               libbox2d-dev, libglew-dev, liblua5.3-dev, libsfml-dev
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://github.com/daid/SeriousProton

Package: libseriousproton-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libseriousproton0 (= ${binary:Version})
Description: C++ game engine -- development files
 SeriousProton is implemented atop SFML, from scratch.
 .
 “There will be dragons and undocumented stuff in here.”
 .
 This package contains the development files (CMake, headers, ...)

Package: libseriousproton0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ game engine -- shared library
 SeriousProton is implemented atop SFML, from scratch.
 .
 “There will be dragons and undocumented stuff in here.”
 .
 This package contains the shared library.
