=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,repack,compression=xz,dversionmangle=s/\+dfsg\d*$//,\
filenamemangle=s%.*/EE-(\d\S+)\.tar\.gz%seriousproton-$1\.tar\.gz% \
  https://github.com/daid/SeriousProton/releases .*/EE-(\d\S+)\.tar\.gz
