## seriousproton 2020.01.15+dfsg

=== debian/changelog ===
seriousproton (2020.01.15+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with policy v4.5.0.
    No change required.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 30 Jan 2020 20:26:09 +0100
