=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends: debhelper-compat (= 12), cmake, pkgconf,
                libbox2d-dev, libglew-dev, liblua5.3-dev, libsfml-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/daid/SeriousProton
+Vcs-Browser: https://salsa.debian.org/games-team/seriousproton
+Vcs-Git: https://salsa.debian.org/games-team/seriousproton.git
 
 Package: libseriousproton-dev
 Section: libdevel
