=== debian/watch ===
version=4
opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//,\
      compression=xz, mode=git" \
  https://github.com/daid/SeriousProton.git refs/tags/EE-(\d\S+)
